# HTTP

Kubemq HTTP source provides a REST Api endpoints for processing source REST Api request.

## Prerequisites

The following are required to run events source connector:

* kubemq cluster
* kubemq-sources deployment

## Configuration

HTTP source connector configuration properties:

| Properties Key | Required | Description                          | Example                     |
| -------------- | -------- | ------------------------------------ | --------------------------- |
| methods        | yes      | List for REST API methods to process | "GET,POST,PUT,PATCH,DELETE" |
| path           | yes      | set http server endpoint path        | "/path"                     |

Example:

```yaml
bindings:
  - name: http-post-kubemq-event
    source:
      kind: http
      name: http-post
      properties:
        "methods": "post"
        "path": "/post"
    target:
      kind: kubemq.events
      name: target-kubemq-events
      properties:
        address: "kubemq-cluster:50000"
        client_id: "kubemq-http-connector"
        auth_token: ""
        channel: "events.post"
    properties:
      log_level: "info"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.kubemq.io/configuration/connectors/kubemq-sources/http.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
